Magnetoculus Visualisation de champs en VR avec Oculus

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
UnityEngine.UI.BoxSlider Class Reference
Inheritance diagram for UnityEngine.UI.BoxSlider:

## Classes
class | BoxSliderEvent

## Public Types
enum | Direction { Direction.LeftToRight, Direction.RightToLeft, Direction.BottomToTop, Direction.TopToBottom }

## Public Member Functions
virtual void | Rebuild (CanvasUpdate executing)
void | LayoutComplete ()
void | GraphicUpdateComplete ()
override void | OnPointerDown (PointerEventData eventData)
virtual void | OnDrag (PointerEventData eventData)
virtual void | OnInitializePotentialDrag (PointerEventData eventData)

## Static Public Member Functions
static bool | SetClass< T > (ref T currentValue, T newValue)
static bool | SetStruct< T > (ref T currentValue, T newValue)

## Protected Member Functions
| BoxSlider ()
override void | OnEnable ()
override void | OnDisable ()
override void | OnRectTransformDimensionsChange ()

## Properties
RectTransform | handleRect`[get, set]`
float | minValue`[get, set]`
float | maxValue`[get, set]`
bool | wholeNumbers`[get, set]`
float | value`[get, set]`
float | normalizedValue`[get, set]`
float | valueY`[get, set]`
float | normalizedValueY`[get, set]`
BoxSliderEvent | onValueChanged`[get, set]`

## Member Enumeration Documentation

## ◆ Direction

enum UnityEngine.UI.BoxSlider.Direction
| strong

Enumerator
LeftToRight |
RightToLeft |
BottomToTop |
TopToBottom |

## Constructor & Destructor Documentation

## ◆ BoxSlider()

UnityEngine.UI.BoxSlider.BoxSlider | ( |  | ) |
| protected

## Member Function Documentation

## ◆ GraphicUpdateComplete()

void UnityEngine.UI.BoxSlider.GraphicUpdateComplete | ( |  | ) |

## ◆ LayoutComplete()

void UnityEngine.UI.BoxSlider.LayoutComplete | ( |  | ) |

## ◆ OnDisable()

override void UnityEngine.UI.BoxSlider.OnDisable | ( |  | ) |
| protected

## ◆ OnDrag()

virtual void UnityEngine.UI.BoxSlider.OnDrag | ( | PointerEventData | eventData | ) |
| virtual

## ◆ OnEnable()

override void UnityEngine.UI.BoxSlider.OnEnable | ( |  | ) |
| protected

## ◆ OnInitializePotentialDrag()

virtual void UnityEngine.UI.BoxSlider.OnInitializePotentialDrag | ( | PointerEventData | eventData | ) |
| virtual

## ◆ OnPointerDown()

override void UnityEngine.UI.BoxSlider.OnPointerDown | ( | PointerEventData | eventData | ) |

## ◆ OnRectTransformDimensionsChange()

override void UnityEngine.UI.BoxSlider.OnRectTransformDimensionsChange | ( |  | ) |
| protected

## ◆ Rebuild()

virtual void UnityEngine.UI.BoxSlider.Rebuild | ( | CanvasUpdate | executing | ) |
| virtual

## ◆ SetClass< T >()

static bool UnityEngine.UI.BoxSlider.SetClass< T > | ( | ref T | currentValue,
|  | T | newValue
| ) |  |
| static

Type Constraints

  T | : | class |

## ◆ SetStruct< T >()

static bool UnityEngine.UI.BoxSlider.SetStruct< T > | ( | ref T | currentValue,
|  | T | newValue
| ) |  |
| static

Type Constraints

  T | : | struct |

## Property Documentation

## ◆ handleRect

RectTransform UnityEngine.UI.BoxSlider.handleRect
| get set

## ◆ maxValue

float UnityEngine.UI.BoxSlider.maxValue
| get set

## ◆ minValue

float UnityEngine.UI.BoxSlider.minValue
| get set

## ◆ normalizedValue

float UnityEngine.UI.BoxSlider.normalizedValue
| get set

## ◆ normalizedValueY

float UnityEngine.UI.BoxSlider.normalizedValueY
| get set

## ◆ onValueChanged

BoxSliderEvent UnityEngine.UI.BoxSlider.onValueChanged
| get set

## ◆ value

float UnityEngine.UI.BoxSlider.value
| get set

## ◆ valueY

float UnityEngine.UI.BoxSlider.valueY
| get set

## ◆ wholeNumbers

bool UnityEngine.UI.BoxSlider.wholeNumbers
| get set

The documentation for this class was generated from the following file:

- Assets/Scripts/HSVPicker/UtilityScripts/BoxSlider.cs